List storage summary for a current
GET
/v1/tenants/current/storage-summarycurl -X GET 'https://api.embodiflow.io/v1/tenants/current/storage-summary' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
查询参数
- refreshboolean
响应
Success
- dataobject必填
- tenantIdstring必填
- datasetBucketobject必填
- exportBucketobject必填
- totalBillableImportBytesnumber | null必填
- totalExportBytesnumber | null必填
- teamTotalBytesnumber | null必填
- projectsarray<TenantStorageProjectUsageDto>必填
- computedAtstring必填
- cacheTtlSecondsnumber必填
- billingPolicystring必填可选值import_storage_billed_export_not_billed
响应示例
{
"data": {
"tenantId": "string",
"datasetBucket": {
"role": "dataset",
"bucket": {
"id": "string",
"tenantId": "string",
"provider": "string",
"bucketName": "string",
"displayName": "string",
"locationRole": "string",
"ownership": "string",
"region": "string",
"endpoint": "string",
"pathStyleEnabled": false,
"nativeCapabilities": {},
"status": "string",
"provisionedAt": "string",
"createdAt": "string",
"updatedAt": "string"
},
"bytesUsed": 0,
"bytesSource": "provider_metric"
},
"exportBucket": {
"role": "dataset",
"bucket": {
"id": "string",
"tenantId": "string",
"provider": "string",
"bucketName": "string",
"displayName": "string",
"locationRole": "string",
"ownership": "string",
"region": "string",
"endpoint": "string",
"pathStyleEnabled": false,
"nativeCapabilities": {},
"status": "string",
"provisionedAt": "string",
"createdAt": "string",
"updatedAt": "string"
},
"bytesUsed": 0,
"bytesSource": "provider_metric"
},
"totalBillableImportBytes": 0,
"totalExportBytes": 0,
"teamTotalBytes": 0,
"projects": [
{
"projectId": "string",
"projectName": "string",
"projectSlug": "string",
"importBytesApprox": 0
}
],
"computedAt": "string",
"cacheTtlSeconds": 0,
"billingPolicy": "import_storage_billed_export_not_billed"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1